Välkommen till linuxportalen.se!

Linuxportalen.se är Sveriges största och aktivaste webbplats för användare av öppen- och fri programvara.

Du besöker Linuxportalen.se som gäst vilket begränsar din möjlighet att använda webbplatsens alla funktioner. Genom att registera dig som medlem får du inte bara möjlighet att söka bland webbplatsens innehåll, skapa nya och delta i befintliga diskussioner, skapa din egen blogg, kommunicera med andra medlemmar genom privata meddelanden och delta i omröstningar. Du får också tillgång till Veckans Kadavro - en seriestrip unikt skapad för Linuxportalen.se!

Registeringen sker snabbt och är helt kostnadsfri - tveka inte, bli medlem idag!

[LÖST på sätt och vis... ] Uppdatering förstör LMDE, igen...

Jaha, nu har jag just "uppdaterat" en maskin med LMDE. Jag fick tips i en tidigare tråd hur jag skulle gå till attack när det inte ville sig.
Jag kör apt-get update och därefter apt-get upgrade. Allt ser bra ut, installationen meddelar att det är klart. Men, när jag startar om datorn så kommer jag bara till inloggningsrutan och där står bara datorns namn. Ingen användare. ingen möjlighet att logga in Sad.
Allt är stopp - bara strömbrytaren som gäller... (dock är det ingen frysning, mus å så fungerar men jag kommer varken in eller ut).
Tips?!

LÖSNING: Ominstallation Sad men nu fungerar det.
LMDE borde göra det omöjligt att sabotera sitt system så enkelt som att göra apt-get upgrade.
RÄTT: apt-get dist-upgrade

Alternativ för kommentarvisning

Välj ditt önskade sätt att visa kommentarerna och klicka på "Spara" för att verkställa dina ändringar.

tux-svens bild

Konstigt, jag kör LMDE och gör alla uppdateringar, fast via verktyget Uppdateringshanteraren, men det har flutit på fint sedan det nämnda stoppet.

Jag gör de nivå 1,2 och 3 uppdateringar som systemet föreslår.

Det låter som om inloggningshanteraren eller dess inställningar blivit skadade...  Kolla om du kan komma in i "Felsäkert" läge, det kanske bara är det grafiska interfacet som strular..  Shock

Edit:  Jag såg vid ett tillfälle att det kom en förfrågan om jag ville ändra på ett script i samband med en uppdatering. Kanske det var i samband med att längden på password ändrades?   Jag svarade, som alltid, att jag ville behålla det gamla.  Kanske är det DET som gör skillnaden?

---

Windows are for houses, Linux is for computers!

 

frilas bild

Jag förstår inte hur du kan använda mintUpdate den klagar ju hela tiden på trasiga paket.
Jag gjorde som vi diskuterade i en tidigare tråd och som fungerade på en annan dator.

Lyfangs bild

 Nedanstående har fungerat för mig FÖRE OMSTART men INTE EFTER, jag säger att det görs på egen risk som allt annat

1. Öppnade Terminalfönster och skrev:

sudo apt-get update && sudo apt-get dist-upgrade 

2. Öppnade Synaptic > Redigera > Rätta till trasiga paket

3. Synaptic > Markera alla uppgraderingar

4. Högerklickade på mintUpdate Uppdateringshanterare och Avsluta

5. Öppnade Terminalfönster och skrev:

mintupdate &

6. mintUpdate 4.2.9 Uppdateringshanterare > Uppdatera

Ditt system är uppdaterat

7. Upprepa INTE från steg 1 I DAGSLÄGET om mintUpdate klagar på trasiga paket

EDIT: Hämtade packeten 2011-04-13 och efter installation och omstart fick jag GRUB > svart skärm. (recovery mode) fungerar efter jag valt det i GRUB men inte något annat val.

Lyfangs bild

 Har provat återställningsläge/recovery mode och provat skriva:

sudo nano /etc/apt/preferences

Ändrade Pin: release o=Debian "Pin-Priority: 500" till "Pin-Priority: 1001"
 
 
Package: *
Pin: release o=linuxmint
Pin-Priority: 700
 
Package: *
Pin: origin packages.linuxmint.com
Pin-Priority: 700
 
Package: *
Pin: release o=Debian
Pin-Priority: 1001
 
 

sudo nano /etc/apt/sources.list

Ändrade från "testing" till "squeeze" (nuvarande stable).
 
 
deb http://packages.linuxmint.com/ debian main upstream import
deb http://ftp.debian.org/debian squeeze main contrib non-free
deb http://security.debian.org/ squeeze/updates main contrib non-free
deb http://www.debian-multimedia.org squeeze main non-free
 
 

sudo aptitude update && sudo aptitude full-upgrade
sudo apt-get update && sudo apt-get dist-upgrade 
sudo apt-get dselect-upgrade

apt-get dselect-upgrade lyckades nedgradera men jag får fortfarande svart skärm efter GRUB och före KDM/GDM inloggningshanterare. Satte förval för konfigurationsfilerna vid nedgraderingen.

hoths bild

Jag har sett samam felmeddelanden. Men, då har jag kört in uppdateringarna i omgångar istället. Först alla 1:or, därefetr alla 2:or och sedan ett urval i taget av 3:or. Tar lite längre tid, men fungerar perfekt utan klagomål eller problem.

----
Linux växer snabbast!

Lyfangs bild

 Kolla om du kan komma in i "Felsäkert" läge, det kanske bara är det grafiska interfacet som strular..  Shock

Hur reparerar man det grafiska interfacet? Kommer inte in i KDM/GDM inloggningshanterare.

Har provat återställningsläge/recovery mode och provat skriva:

sudo apt-get purge kdm
sudo apt-get install kdm
sudo dpkg-reconfigure kdm
sudo apt-get purge gdm3
sudo apt-get install gdm3
startx

Lyfangs bild
sudo apt-get -f install
sudo apt-get purge gdm3
sudo apt-get purge gdm3
sudo apt-get install slim
startx

Får fortfarande svart skärm efter GRUB och före slim inloggningshanterare. Med startx kommandot behöver man väl inte en inloggningshanterare för att komma in i skrivbordsmiljön?

Lyfangs bild

 [LÖST]

Tog bort /etc/X11/xorg.conf, slim inloggningshanterare startade och jag kunde logga in. GNOME startade oxå.

Lyfangs bild

 Ser man GRUB vid uppstart?

Linux Mint Debian Edition (LMDE) är baserat på Debian testing och en uttestningsutgåva har fler buggar än en stabil utgåva. Kan du boota från en LMDE USB-sticka och säkerhetskopiera dina personliga filer?

tux-svens bild

Ja stoppa in en skiva eller en USB-pinne med en live-linux och för över dina personliga filer till ett USB-minne.  Det borde inte vara några problem. Tyvärr vet jag inte vad konfigurationsfilen för inloggning finns eller vad den heter, annars kunde jag skicka dig en kopia.. Smile

Kanske någon annan som kan Debian och vet var jag skall söka?

Edit:  Kan det finnas någon change-log som visar vad som inträffat hos dig, så att du kan återställa?

---

Windows are for houses, Linux is for computers!

 

frilas bild

Inga problem att boota från sticka. Dessutom ligger data på en egen partition och jag har varit noga att säkerhetskopiera Smile.
Grub kommer som vanligt.
Frågan är hur ska jag gå vidare? Kan jag utnyttja något på den fungerande stickan?

tux-svens bild

Jag har kollat lite på linuxmint.com om någon upplevt det felet du har efter uppdateringen.  Jag kan inte finna det.

---

Windows are for houses, Linux is for computers!

 

frilas bild

Felet är troligen att jag använde apt-get upgrade i stället för dist-upgrade...
http://forums.linuxmint.com/viewtopic.php?f=141&t=70316#p406842

Nu försöker jag göra om uppgraderingen från textläge i "recovery mode" fast då har jag inget nätverk Sad

ifconfig eth1 192.168.0.1 netmask 255.255.255.0 up
route add default gw 192.168.0.1 eth1

När jag gjort detta kan jag pinga ip-nummer men inte namn typ google.se - alltså ingen DNS...

Så här sitter jag med min tvättade hals.

frilas bild

Aha! Det ska ju vara

ifconfig eth1 up

dhclient eth1

Nu gör jag ett nytt försök Crazy

frilas bild

kass, kass, kass Sad
Kommer nu in i datorn men det finns inga ikoner, typsnitt eller bakgrund förutom en babyblå yta.
Startmeny saknas samt alla ikoner såsom nätverk, volymkontroll...
Det enda jag kan göra är att öppna mappar och ett terminalfönster. Systemet är kaputt!

kyllings bild

Tråkigt att du har fått problem. Hoppas nedanstående text kan hjälp dig. Du skall undvika "apt-get upgrade" när använder dig av LMDE.

"When you see Grub select recovery mode. When you get to terminal, run":

apt-get update
apt-get dist-upgrade
reboot

"I hope it works.

"Why this has happened?"

Det här är viktigt:

"Because in LMDE you should not run "apt-get upgrade" command at all".

***/Kylling/Pink Panther

FoHs bild

Testa att radera inställningarna för skrivbordsmiljön, se om det funkar med standardinställningar.

frilas bild

Inget här.

frilas bild

Kan fungera. Kan du specificera vad det är jag ska radera. Lite osäker på konfigurationsfilerna (också...).

tux-svens bild

Skrivbordets konfigurationsfil är .gconf om jag inte minns fel... Wink

Ditt misstag har varit lärorikt för mig åxå Frila! Smile

---

Windows are for houses, Linux is for computers!

 

FoHs bild

.gconf innehåller mer inställningar än bara för skrivbordet. Men det är lite svårt och säga vad man ska ta bort. Personligen hade jag kanske testat med att göra en ny användare först, och se hur dess skrivbordsmiljö fungerar. Fungerar det med en ny användare så kan man få det att fungera med sin gamla användare.

Å andra sidan är det ju inga program som förstörs för att man tar bort konfigurationsfilerna, de nollställs bara. Så .gconf kan man nog ganska säkert ta bort Smile

Lyfangs bild
ifconfig eth2 up
dhclient eth2

Fungerade för mig med nätverk. Behöver inte konfigurera med ifconfig med 56k ppp, ringer bara upp:

sudo pon

Lyfangs bild

 Görs på egen risk

Linux Mint Debian aptitude full-upgrade
 
Öppnade Terminalfönster och skrev:

sudo aptitude update
sudo aptitude full-upgrade

Uppdaterade resten med Uppdateringshanterare och systemet fungerar för mig.
 
Källa: Linux Mint Debian 32-bit 201012 och programlistor
 
Jag provade med Linux Mint Debian "Sid" "instabil" utgåva men den har fler buggar än testing och stabila utgåvan. Kanske du vill prova ändra sources.list:

gksudo gedit /etc/apt/sources.list

från testing (LMDE standard) till stable. tux-sven skriver: "Linux Mint Debian Edition - när du vill hänga med i utvecklingen!". Men stable är en mer stabil utgåva utan att hänga med i utvecklingen?

Lyfangs bild

kyllings bild

 Lyfang förslag är bra.

sudo aptitude update
 
sudo aptitude full-upgrade
 
Jag har fått lära mig följande av en vänlig Linux Mint utvecklare. Ta bort "get". Jag har aldrig någonsin haft några problem med någon av Linux Mint olika "distar" efter det här värdefulla rådet. Fungerar klockrent i LMDE också. 
 
"a conflict with the Update Manager giving a "Broken Packages" error. The cause of this has to do with how the update manager interprets the relative safety of each package. When two updates that depend on each other come down the pipe and one of them is marked as "just a little too risky", then the Update Manager will hold that one and attempt to install the "safer" one. Since the safer one depends on the risky one it generates the Broken Packages error and will refuse to update farther until the issue is fixed. The clean and simple way of fixing this is to open up the terminal and run the following commands"
 
sudo apt update 
 
sudo apt upgrade
 
***/Pink Panther/Kylling